## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.figures
Class TableConnection

    java.lang.Object
      org.eclipse.draw2d.Figure
          org.eclipse.draw2d.Shape
              org.eclipse.draw2d.AbstractPointListShape
                  org.eclipse.draw2d.Polyline
                      org.eclipse.draw2d.PolylineConnection
                          org.eclipse.datatools.sqltools.sqlbuilder.views.graph.figures.TableConnection

All Implemented Interfaces:
  org.eclipse.draw2d.AnchorListener, org.eclipse.draw2d.Connection, org.eclipse.draw2d.IFigure, org.eclipse.draw2d.PositionConstants

    public class TableConnection

extends org.eclipse.draw2d.PolylineConnection
implements org.eclipse.draw2d.PositionConstants, org.eclipse.draw2d.Connection, org.eclipse.draw2d.AnchorListener

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure
`org.eclipse.draw2d.Figure.FigureIterator`

Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure
`org.eclipse.draw2d.IFigure.NoInsets`

Field Summary

Fields inherited from interface org.eclipse.draw2d.PositionConstants
`ALWAYS_LEFT, ALWAYS_RIGHT, BOTTOM, CENTER, EAST, EAST_WEST, HORIZONTAL, LEFT, LEFT_CENTER_RIGHT, MIDDLE, NONE, NORTH, NORTH_EAST, NORTH_SOUTH, NORTH_WEST, NSEW, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TOP_MIDDLE_BOTTOM, VERTICAL, WEST`

Fields inherited from interface org.eclipse.draw2d.Connection
`PROPERTY_CONNECTION_ROUTER, PROPERTY_POINTS`

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`TableConnection()`

Method Summary
`void` `anchorMoved(org.eclipse.draw2d.ConnectionAnchor anchor)`
`org.eclipse.draw2d.geometry.Rectangle` `getBounds()`
`org.eclipse.draw2d.ConnectionRouter` `getConnectionRouter()`
`org.eclipse.draw2d.geometry.PointList` `getPoints()`
`java.lang.Object` `getRoutingConstraint()`
`org.eclipse.draw2d.ConnectionAnchor` `getSourceAnchor()`
`org.eclipse.draw2d.ConnectionAnchor` `getTargetAnchor()`
`org.eclipse.draw2d.geometry.PointList` `getThickPoints()`
`void` `layout()`
`void` `removeNotify()` Called just before the receiver is being removed from its parent
`void` `setConnectionRouter(org.eclipse.draw2d.ConnectionRouter cr)`
`void` `setJoinType(int joinType)`
`void` `setPoints(org.eclipse.draw2d.geometry.PointList newPoints)`
`void` `setRoutingConstraint(java.lang.Object cons)`
`void` `setSourceAnchor(org.eclipse.draw2d.ConnectionAnchor anchor)`
`void` `setTargetAnchor(org.eclipse.draw2d.ConnectionAnchor anchor)`
`void` `validate()`

Methods inherited from class org.eclipse.draw2d.PolylineConnection
`addNotify, addRoutingListener, removeRoutingListener, revalidate, setSourceDecoration, setTargetDecoration`

Methods inherited from class org.eclipse.draw2d.Polyline
`containsPoint, isOpaque, primTranslate, removeAllPoints, repaint, setLineWidth, setTolerance`

Methods inherited from class org.eclipse.draw2d.AbstractPointListShape
`addPoint, getEnd, getStart, insertPoint, removePoint, setEnd, setEndpoints, setPoint, setStart`

Methods inherited from class org.eclipse.draw2d.Shape

`getAlpha, getAntialias, getLineAttributes, getLineCap, getLineDash, getLineDashOffset, getLineJoin, getLineMiterLimit, getLineStyle, getLineWidth, getLineWidthFloat, paintFigure, setAlpha, setAlpha, setAntialias, setAntialias, setFill, setFillXOR, setLineAttributes, setLineCap, setLineDash, setLineDashOffset, setLineJoin, setLineMiterLimit, setLineStyle, setLineWidthFloat, setOutline, setOutlineXOR, setXOR`

Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, requestFocus, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.draw2d.IFigure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocalBackgroundColor, getLocalForegroundColor, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isOpaque, isRequestFocusEnabled, isShowing, isVisible, paint, remove, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setClippingStrategy, setConstraint, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative`

Constructor Detail

### TableConnection

    public TableConnection()

Method Detail

### setJoinType

    public void setJoinType(int joinType)

### getConnectionRouter

    public org.eclipse.draw2d.ConnectionRouter getConnectionRouter()

  Specified by:
    `getConnectionRouter` in interface `org.eclipse.draw2d.Connection`
  Overrides:
    `getConnectionRouter` in class `org.eclipse.draw2d.PolylineConnection`

### getSourceAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceAnchor()

  Specified by:
    `getSourceAnchor` in interface `org.eclipse.draw2d.Connection`
  Overrides:
    `getSourceAnchor` in class `org.eclipse.draw2d.PolylineConnection`

### getTargetAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetAnchor()

  Specified by:
    `getTargetAnchor` in interface `org.eclipse.draw2d.Connection`
  Overrides:
    `getTargetAnchor` in class `org.eclipse.draw2d.PolylineConnection`

### removeNotify

    public void removeNotify()

  Called just before the receiver is being removed from its parent

  Specified by:
    `removeNotify` in interface `org.eclipse.draw2d.IFigure`
  Overrides:
    `removeNotify` in class `org.eclipse.draw2d.PolylineConnection`

### setConnectionRouter

    public void setConnectionRouter(org.eclipse.draw2d.ConnectionRouter cr)

  Specified by:
    `setConnectionRouter` in interface `org.eclipse.draw2d.Connection`
  Overrides:
    `setConnectionRouter` in class `org.eclipse.draw2d.PolylineConnection`

### setTargetAnchor

    public void setTargetAnchor(org.eclipse.draw2d.ConnectionAnchor anchor)

  Specified by:
    `setTargetAnchor` in interface `org.eclipse.draw2d.Connection`
  Overrides:
    `setTargetAnchor` in class `org.eclipse.draw2d.PolylineConnection`

### setSourceAnchor

    public void setSourceAnchor(org.eclipse.draw2d.ConnectionAnchor anchor)

  Specified by:
    `setSourceAnchor` in interface `org.eclipse.draw2d.Connection`
  Overrides:
    `setSourceAnchor` in class `org.eclipse.draw2d.PolylineConnection`

### anchorMoved

    public void anchorMoved(org.eclipse.draw2d.ConnectionAnchor anchor)

  Specified by:
    `anchorMoved` in interface `org.eclipse.draw2d.AnchorListener`
  Overrides:
    `anchorMoved` in class `org.eclipse.draw2d.PolylineConnection`

### getPoints

    public org.eclipse.draw2d.geometry.PointList getPoints()

  Specified by:
    `getPoints` in interface `org.eclipse.draw2d.Connection`
  Overrides:
    `getPoints` in class `org.eclipse.draw2d.AbstractPointListShape`

### getThickPoints

    public org.eclipse.draw2d.geometry.PointList getThickPoints()

### setPoints

    public void setPoints(org.eclipse.draw2d.geometry.PointList newPoints)

  Specified by:
    `setPoints` in interface `org.eclipse.draw2d.Connection`
  Overrides:
    `setPoints` in class `org.eclipse.draw2d.Polyline`

### getBounds

    public org.eclipse.draw2d.geometry.Rectangle getBounds()

  Specified by:
    `getBounds` in interface `org.eclipse.draw2d.IFigure`
  Overrides:
    `getBounds` in class `org.eclipse.draw2d.PolylineConnection`

### layout

    public void layout()

  Overrides:
    `layout` in class `org.eclipse.draw2d.PolylineConnection`

### validate

    public void validate()

  Specified by:
    `validate` in interface `org.eclipse.draw2d.IFigure`
  Overrides:
    `validate` in class `org.eclipse.draw2d.Figure`

### getRoutingConstraint

    public java.lang.Object getRoutingConstraint()

  Specified by:
    `getRoutingConstraint` in interface `org.eclipse.draw2d.Connection`
  Overrides:
    `getRoutingConstraint` in class `org.eclipse.draw2d.PolylineConnection`

### setRoutingConstraint

    public void setRoutingConstraint(java.lang.Object cons)

  Specified by:
    `setRoutingConstraint` in interface `org.eclipse.draw2d.Connection`
  Overrides:
    `setRoutingConstraint` in class `org.eclipse.draw2d.PolylineConnection`